@import '~scss/_variables';
@import '~scss/styles';


.ng-valid[required], .ng-valid.required {
  border-left: 5px solid #42A948;
  /* green */ }

.ng-invalid:not(form) {
  border-left: 5px solid #a94442;
  /* red */ }

select {
  text-transform: capitalize; }

option {
  text-transform: capitalize; }

/*# sourceMappingURL=job-service-editor.component.css.map */
.ng-valid.required,
.ng-valid[required] {
  border-left: 5px solid #3ed7aa;
  /* success */
}

.ng-invalid:not(form) {
  border-left: 5px solid #a94442;
  /* bad */
}

select {
  text-transform: capitalize;
}

option {
  text-transform: capitalize;
}

input,
textarea {
  font-family: $font-content;
}

.H3-Left{
  padding-top: 5px;
  padding-left: 10px;
}

.input-field {
  border-radius: 6px;
  border-top: solid 1px #979797;
  border-right: solid 1px #979797;
  border-bottom: solid 1px #979797;
  border-left: solid 1px #979797;
  padding-left: 5px;
}

label {
  font-family: Rubik;
  font-size: 16px;
  font-weight: 500;
  font-style: normal;
  font-stretch: normal;
  line-height: normal;
  letter-spacing: normal;
  color: #191919;
}

.form-group {
  padding-top: 15px;
  padding-bottom: 15px;
  margin-bottom: 0;
}

.service-form {
  margin-top: 5vh;
}

.yellow-square-col {
  margin-right: 2.8%;
  align-self: center;
}

.yellow-square {
  width: 80px;
  height: 82px;
  border: 5px solid #ffeb9e;
  float: right;
}

.sub-header {
  width: 80vw;
  height: 30px;
  background-color: #ffd944;
  padding-right: 15px;
}

.choice-btn {
  background-color: transparent;
  font-family: Rubik;
  font-size: 16px;
  font-weight: 500;
  font-style: normal;
  font-stretch: normal;
  line-height: normal;
  letter-spacing: normal;
  color: #191919;
  margin-right: 25px;
  margin-top: 30px;
}

.main-content {
  margin-top: 7vh;
  margin-bottom: 20vh;
  min-height: 100vh;
}

.card {
  border: 0 solid #FFF;
}

.cat-btns {
  margin-right: 2%;
}

.save-btn {
  width: 239px;
  border-radius: 20px;
  background-color: #3fd8c9;
  color: #191919;
  margin-top: 30px;
}

.radio-container {
  display: block;
  position: relative;
  padding-left: 30px;
  cursor: pointer;
  font-family: $font-header;
  font-size: 16px;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}
/* Hide the browser's default checkbox */
.radio-container input {
  position: absolute;
  opacity: 0;
  cursor: pointer;
}
/* Create a custom checkbox */
.checkmark {
  position: absolute;
  border-radius: 50%;
  left: 5px;
  bottom: 33%;
  height: 16px;
  width: 16px;
  background-color: #eee;
  border: solid 1px #979797;
}
/* On mouse-over, add a grey background color */
.radio-container:hover input ~ .checkmark {
  background-color: #ccc;
}
/* When the radio button is checked, add a blue background */
.radio-container input:checked ~ .checkmark {
  background-color: #3fd8c9;
}
/* Create the indicator (the dot/circle - hidden when not checked) */
.checkmark:after {}
/* Show the indicator (dot/circle) when checked */
.radio-container input:checked ~ .checkmark:after {}
/* Style the indicator (dot/circle) */
.radio-container .checkmark:after {}

.service-logo {
  max-width: 100%;
  margin-top: 20px;
}

.btn.focus,
.btn:focus {
  box-shadow: inset 0 0 10px rgba(0, 0, 0, 0), 0 0 0 rgba(0, 0, 0, 0);
}

.form-control:focus {
  border-color: #3ed7aa;
  box-shadow: inset 0 0 10px rgba(0, 0, 0, 0), 0 0 0 rgba(0, 0, 0, 0);
}

tag {
  background: #3fd8c9!important;
}

.big-lb {
  width: 100%;
  height: 2px;
  background-color: #3fd8c9;
  margin-top: 3vh;
  margin-bottom: 3vh;
}

.form-check{
  margin-top: 2vh;
  padding-left: 0;
}

.custom-radio .custom-control-label {
  padding-left: 20px;
  margin-right: 50px;
}

.custom-radio .custom-control-input ~ .custom-control-label::after {
  background-color: #FFF;
  border: 2px solid black;
  border-radius: 50%;
  width: 30px;
  height: 30px;
  left: -25px;
  top: -5px;
}

.custom-radio .custom-control-input:checked ~ .custom-control-label::before {
  background-color: #3fd8c9;
  z-index: 1;
  width: 22px;
  height: 22px;
  top: -1px;
  left: -21px;
}
// Extra small devices (portrait phones, less than 576px)
// No media query since this is the default in Bootstrap
// Small devices (landscape phones, 576px and up)
@media (min-width: 576px) {}
// Medium devices (tablets, 768px and up)
@media (min-width: 768px) {
  .sub-header {
    width: 50vw;
  }
  .choice-btn{
    margin-top: 0px;
  }
  .save-btn{
        margin-top: 0px;
  }
}
// Large devices (desktops, 992px and up)
@media (min-width: 992px) {}
// Extra large devices (large desktops, 1200px and up)
@media (min-width: 1200px) {
  .sub-header {
    height: 35px;
  }
}
@media (min-width: 1440px) {
  .sub-header {
    width: 550px;
  }
}

.ng2-tags-container .ng-invalid:not(form) {
  border: solid 1px #f7b3ad;
  color: black;
}